%define name sdlmess
%define version 0.121
%define sversion %(sed -e "s/\\.//" <<<%{version})
%define distsuffix plf
%define release %mkrel 1

Summary: SDL MESS emulates a large variety of different systems
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://rbelmont.mameworld.info/%{name}%{sversion}.zip
Source1: %{name}-wrapper
Group: Emulators
License: Freeware
URL: http://rbelmont.mameworld.info/
BuildRoot: %_tmppath/%{name}-build
BuildRequires: SDL1.2-devel
BuildRequires: expat-devel
BuildRequires: zlib-devel
ExclusiveArch: %ix86 x86_64 ppc

%description
SDL MESS is a free emulator which emulates a large variety of different 
systems (computers and home entertainment systems).
It uses SDL, and is based on MESS.

This package is in PLF because of Mandriva policy regarding emulators.

%prep
%setup -q -n %{name}%{sversion}
for f in `find ./docs` ; do
 if [ -d "$f" ]; then
  chmod 755 "$f";
 else
  chmod 644 "$f";
 fi;
done

%build
#notes:
#optimizing for specific processor adds suffixes:
#example pentiumpro "pp" : I686=1
#compiling the debugger always adds (and only) suffix "d" : DEBUG=1
#DRC options are forced ion / off in the makefile depending on the arch :
#no need for X86_MIPS3_DRC= X86_PPC_DRC=
#SYMBOLS=1 for a -debug package
%make -f makefile.sdl \
 PREFIX="sdl" \
 BUILD_ZLIB= \
 BUILD_EXPAT= \
 OPT_FLAGS="%optflags" \
%ifarch x86_64 alpha ia64 ppc64
 PTR64=1
%endif
%ifarch ppc
 PPC=1
%endif
#ifarch %ix86
# I686=1
#endif

%install
rm -rf %{buildroot}
install -d -m 755 %{buildroot}%{_gamesbindir}
install -m 755 %{name}* %{buildroot}/%{_gamesbindir}/%{name}.real

#various directories and files
install -d -m 755 %{buildroot}%{_gamesdatadir}/%{name}/artwork
install -m 644 artwork/* %{buildroot}%{_gamesdatadir}/%{name}/artwork/
install -d -m 755 %{buildroot}%{_gamesdatadir}/%{name}/hash
install -m 644 hash/* %{buildroot}%{_gamesdatadir}/%{name}/hash/

#keymaps
install -d -m 755 %{buildroot}%{_gamesdatadir}/%{name}/keymaps
install -m 644 keymaps/* %{buildroot}%{_gamesdatadir}/%{name}/keymaps/

#font
install -m 644 ui.bdf %{buildroot}%{_gamesdatadir}/%{name}/

#cfg, diff, nvram, obj, snap in home only

#tools
#useful to manage roms
install -m 755 chdman %{buildroot}%{_gamesbindir}/chdman-sdlmess
install -m 755 romcmp %{buildroot}%{_gamesbindir}/romcmp-sdlmess
#useful to create a new keymap
install -m 755 testkeys %{buildroot}%{_gamesbindir}/testkeys-sdlmess
#other tools : dat2html, messtest, messdocs, imgtool, jedutil, makemeta, regrep, srcclean

#wrapper
install -m 755 %{SOURCE1} %{buildroot}%{_gamesbindir}/sdlmess

%files
%defattr(-,root,root)
%doc SDLMESS.txt docs/*
%attr(0755,root,games) %{_gamesbindir}/%{name}*
%attr(0755,root,games) %{_gamesbindir}/*-%{name}
#{_mandir}/man1/%{name}.1*
%{_gamesdatadir}/%{name}

%clean
rm -rf %{buildroot}

%changelog
* Tue Nov 27 2007 Guillaume Bedot <littletux@zarb.org> 0.121-1plf2008.1
- 0.121

* Wed Aug 15 2007 Guillaume Bedot <littletux@zarb.org> 0.118-1plf2008.0
- First PLF package
